Package com.ocient.jdbc.proto

# Interface PlanProtocol.DisjunctionOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.Disjunction`, `PlanProtocol.Disjunction.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.DisjunctionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.FilterClause` | `getClause​(int index)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`int` | `getClauseCount()` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`List<PlanProtocol.FilterClause>` | `getClauseList()` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.FilterClauseOrBuilder` | `getClauseOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`List<? extends PlanProtocol.FilterClauseOrBuilder>` | `getClauseOrBuilderList()` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getClauseList

List<PlanProtocol.FilterClause> getClauseList()
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### getClause

PlanProtocol.FilterClause getClause​(int index)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### getClauseCount

int getClauseCount()
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### getClauseOrBuilderList

List<? extends PlanProtocol.FilterClauseOrBuilder> getClauseOrBuilderList()
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### getClauseOrBuilder

PlanProtocol.FilterClauseOrBuilder getClauseOrBuilder​(int index)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`